@import url('https://fonts.googleapis.com/css?family=Roboto:300,400,700');

* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	-o-box-sizing: border-box;
	-ms-box-sizing: border-box;
}

body {
	font-family: 'Roboto', sans-serif;
	font-size: 1rem;
	color: #7f79a0;
	margin-top: 15px;
	/*background:#4C3C94 url(../img/back-login.png) no-repeat center fixed;*/

	background: url(../img/back.svg) no-repeat;
	background-size: cover;
	height: 100%
}

::-webkit-scrollbar {
	width: 6px;
	height: 6px
}

::-webkit-scrollbar-thumb {
	background: #8E80D5
}

::-webkit-scrollbar-track {
	background: #344154;
}

.embed-responsive {
	position: relative;
	height: 0;
	padding-bottom: 56.5%;
}

.embed-responsive iframe,
.embed-responsive embed,
.embed-responsive object,
.embed-responsive video {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border: 0;
	background: #000;
}

/*login*/
.login {
	background: #4C3C94 url(../img/back.svg) no-repeat center fixed;
	background-size: cover;
	padding-top: 16px;

	&& .btn {
		padding: 14px;
		background: #269ed1;
	}

	&& .embed-responsive {
		border-radius: 8px;
		overflow: hidden;
		box-shadow: 0 0 15px 0 #6637ac9e;
	}

	&& .h2 {
		margin-bottom: 0
	}

	&& .function {
		border-top: solid 1px #7763cd;
		margin-top: 3rem;
		padding-top: 1rem;

		&& h3 {
			font-size: 1.9rem;
			text-align: center;
			color: #ffffffd6;
			margin-bottom: 1rem;
		}

		&& ul {
			margin-bottom: 4rem;

			&& li {
				display: block;
				transition: all .4s linear;

				&& img {
					width: 70px;
					margin: 4px 0
				}
			}

			&& li a {
				border-bottom: solid 1px #ffffff47;
				display: grid;
				justify-content: space-between;
				color: #fff;
				text-decoration: none;
				align-items: center;
				text-align: -webkit-left;
				grid-template-columns: 80px 1fr 129px;

				&& span {
					display: block;
				}

				&& .btn.btn-verde {
					border: solid 1px #0dc1aa;
					background: #0dc1aa !important;
					padding: .67rem !important;
				}
			}

			&& li:hover {
				transition: all .4s linear;
				opacity: .6
			}
		}
	}
}


.talk-whats {
	width: 77px;
	height: auto;
	position: fixed;
	bottom: 20px;
	right: 9px;
	z-index: 1;
}

.talk-whats img {
	width: 100%
}

.talk-whats.left {
	right: inherit;
	left: 9px;
}

.base-login {
	background-color: #2120204d;
	border-radius: 5px;
	padding: 20px;
	box-shadow: 0 0 15px 0 #6637ac9e;
}

.d-flex {
	display: flex
}

.w-100 {
	width: 100%
}

.base-login h2 {
	display: block;
	text-align: center;
	color: #7c41ee;
}

.base-login label {
	display: block;
	color: #dce4f1;
	padding-top: 1rem;
	padding-bottom: 3px;
}

.base-login input[type=text],
.base-login input[type=password] {
	border: solid 1px #dedede;
	color: #8e8e8e;
	background: #f3f4f5;
	padding: .9rem;
	max-width: 100%;
	width: 100%;
	border-radius: 4px;
	display: block
}

.mostraCampo.base-login {
	background: #fff;
	position: absolute;
	top: 0;
	margin-top: 0;
	margin-left: 0;
	bottom: 0;
	left: 15px;
	right: 15px;
	display: none
}

.mostraCampo.base-login small {
	display: block;
	text-align: center;
	color: #839096;
	margin-bottom: 30px;
}

.mostraCampo.base-login .senha.fechar {
	position: absolute;
	right: 10px;
	top: 10px;
}

.mostraCampo.base-login .senha.fechar:hover {
	color: red
}

/*conteudo*/
.conteudo {
	max-width: 100%;
	width: 1020px;
	margin: 0 auto;
}

.base-caixa {
	width: 100%;
	float: left;
	background: #ffffffcf;
	box-shadow: 0 0 20px 0 #213841;
	min-height: calc(100vh - 34px);
	border-radius: 3px;
	position: relative;
}

.caixa {
	width: 100%;
	float: left;
	background: none;
	min-height: calc(100vh - 200px);
	border-radius: 3px;
	position: relative;
}

.topo {
	width: 100%;
	background: #503fa0 url(../img/img-topo.png) no-repeat fixed;
	background-size: 100%;
	float: left;
	border-radius: 3px 3px 0 0;
}

.topo .logo {
	float: left;
	color: #FFF;
	text-decoration: none;
	text-transform: uppercase;
	font-size: 1.3rem;
	padding: 8px 20px;
}

.topo .logo p {
	padding-top: .4rem
}

.topo .menutopo {
	float: right;
	margin-right: 0px;
}

.topo .menutopo li {
	display: inline-block;
	border-bottom: solid 19px transparent;
	position: relative;
	transition: all .5s linear;
	border-left: solid 1px #b09ff678;
	border-top: solid 19px transparent;
}

.topo .menutopo li:last-child {
	border-right: 0;
}

.topo .menutopo li:hover {
	background: rgba(146, 100, 191, 0.65);
}

.topo .menutopo li a {
	display: block;
	color: #fff;
	padding: 0 15px;
	background: none;
	text-decoration: none;
}

/*divisor*/
.divisor {
	width: 100%;
	float: left;
	max-width: 100%;
	padding: 1.5rem;
	display: block;
	background: #ffffff57;
	border-bottom: 0;
	border-right: solid 1px #B2ABCE;
}

.divisor .titulo {}

.divisor .cx {
	width: 100%;
	float: left;
	border-radius: 5px;
	padding: 1rem;
	margin-bottom: 1rem;
	background: linear-gradient(-45deg, #877cb4, #B2ABCE);
	border: solid 1px #73699e;
}

.divisor .cx.destaque {
	background: linear-gradient(-45deg, #b978fa, #d0c8f1);
	border-color: #9b55bdbd;
}

.divisor .cx .h6 {
	color: #FFF;
	text-transform: uppercase;
}

.divisor .cx .text-label {
	color: #4f466b;
	text-transform: uppercase;
	margin-top: 0
}



.formulario {
	background: #b4b0c5;
	border-radius: 5px;
	padding-bottom: 1.1rem;
	margin-bottom: 1.1rem;
	border: solid 1px #938ea0;
}

.formulario .text-label {
	color: #fff;
	margin-top: 0;
}

.formulario .form-campo {
	border: solid 1px #938fa2;
}

.titulo {
	display: block;
	text-align: left;
	text-transform: uppercase;
	color: #7664CA;
	padding: 0 10px;
	font-size: 1.2rem;
}

.mostraFiltro {
	background: #d2d4d6;
	border-radius: 5px;
	padding: 1rem;
	width: 100%;
	border: solid 1px #b0b5b9;
	display: none;
}

.listaProdutos {
	position: absolute;
	border: solid 1px #b4b0c5;
	position: absolute;
	top: 66px !important;
	background: #fff;
	right: 15px !important;
	left: 15px !important;
	text-transform: uppercase;
	z-index: 2;
	border-radius: 0 0 5px 5px;
	height: 200px;
	overflow-y: auto;
}

.listaProdutos li {
	display: block;
}

.listaProdutos a {
	display: block;
	padding: .3rem .6rem;
	font-size: .9rem;
	text-decoration: none;
}

.listaProdutos a:hover {
	background: #d5d3da;
}

/*base-home*/
.base-home {
	width: 100%;
	float: left;
	padding: 2rem 1.5rem;
	min-height: calc(100vh - 242px);
}

.tabela-responsiva {
	display: block;
	width: 100%;
	overflow-x: auto;
	-webkit-overflow-scrolling: touch;
	-ms-overflow-style: -ms-autohiding-scrollbar;
}

.tabela-responsiva table {
	width: 100%;
	max-width: 100%;
	margin-bottom: 0;
	background-color: transparent;
}

.tabela-responsiva table td,
.tabela-responsiva table th {
	font-size: .89rem;
}

.tabela-responsiva table th {
	background: rgba(188, 186, 195, 0.63);
	padding: .4rem;
	color: #1F272C;
}

.tabela-responsiva table td {
	border-bottom: solid 1px rgba(203, 201, 210, 0.59);
	vertical-align: middle;
	color: #7d7e7f;
	padding: .4rem .6rem
}

.tabela-responsiva table tr {
	background: #e8e5e5b8
}

.tabela-responsiva table tr:nth-of-type(2n+0) {
	background: #ededed87
}

.tabela-responsiva .btn {
	padding: .24rem 1rem
}

.rolagem-tabela {
	height: 227px;
	overflow-y: auto;
	border: solid 1px rgba(76, 87, 97, 0.23);
	border-top: 0
}

.rolagem-tabela2 {
	height: 447px;
	overflow-y: auto;
	border: solid 1px rgba(76, 87, 97, 0.23);
	border-top: 0
}

.dataTables_wrapper {
	border: solid 1px #adaabb;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current {
	border: 1px solid #473b8b !important;
	background: #8576d0 !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover,
.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover,
.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active {
	background: linear-gradient(to bottom, #a89ce2 0%, #423a81 100%) !important;
	color: #FFF !important;
}

footer {
	width: 100%;
	display: inline-block;
	text-align: center;
	/* font-size: .8rem; */
	padding-top: 0;
	padding-bottom: 0;
	border-top: solid 1px rgb(127, 121, 160)
}

footer p {
	font-size: .8rem;
	padding-top: 1rem;
	padding-bottom: 1rem;
}


.mobmenu {
	display: none
}

/*991*/
@media (min-width:1920px) {

	/*conteudo*/
	.conteudo {
		max-width: 100%;
		width: 1185px;
		margin: 0 auto;
	}

	.base-login input[type=text],
	.base-login input[type=password] {
		padding: 1.2rem;
		font-size: 1rem;
	}

	.login {
		&& .btn {
			padding: 1rem;
			background: #269ed1;
			font-size: 1.3rem;
		}

		&& .link-roxo.h5 {
			font-size: 1.5rem !important;
		}
	}

	.base-login {
		padding: 20px 2rem;
	}
}

/*991*/
@media (max-width:991px) {
	.login {
		padding-top: 23px;

		&& .h2 {
			margin-bottom: 0px !important;
		}
	}

	.conteudo {
		padding: 0 7rem !important;
	}

	.base-login {
		margin-top: 1rem;
	}

	.mobmenu {
		display: block;
		float: right;
		font-size: 2rem;
		padding: .5rem 1.3rem;
		color: #fff;
	}

	.menutopo {
		display: none
	}

	body {
		margin-top: 0
	}

	.caixa {
		box-shadow: none;
		min-height: calc(100vh - 0px);
	}
}

/*880*/
@media (max-width:880px) {
	.menutopo {
		width: 100%;
		text-align: center;
	}

	.conteudo {
		padding: 0 4rem !important;
	}
}

/*600*/
@media (max-width:600px) {
	.login {
		&& .h2 {
			font-size: 2rem !important;
		}

		&& .function {
			&& h3 {
				font-size: 1.4rem;
			}

			&& ul {
				&& li a {
					grid-template-columns: 80px 1fr;

					.btn {
						display: none !important
					}
				}
			}
		}
	}

	.conteudo {
		padding: 0 2rem !important;
	}

	.titulo.h2 {
		font-size: 1.5rem !important;
	}

	.base-home {
		padding: 2rem .8rem;
	}

	.px-2.pb-0.d-block.h5 {
		font-size: 1rem !important;
	}
}

/*480*/
@media (max-width:480px) {
	.border .rows.p-4 {
		padding-left: 0 !important;
		padding-right: 0 !important
	}

	.border .col.px-5.py-5 {
		padding-bottom: 1rem !important;
		padding-top: 1rem !important
	}

	.topo .menutopo li {
		display: block;
		border-left: 0;
	}

	.base-login {
		margin-top: 50px;
		padding: 60px 20px;
	}

	.base-login .btn {
		font-size: 1.1rem;
	}
}

/*394*/
@media (max-width:394px) {
	.topo .logo {
		font-size: 1.1rem;
		padding: 8px 8px;
	}

	.border-bottom.px-4 {
		padding: 0 !important
	}

	.titulo.h2 {
		font-size: 1.2rem !important;
	}

	.px-2.pb-0.d-block.h5 {
		font-size: .8rem !important;
	}

	.btn.h4 {
		font-size: 1.1rem !important;
	}
}

/*338*/
@media (max-width:338px) {
	.topo .logo {
		font-size: 1.1rem;
		padding: 10px 5px;
	}
}

/*333*/
@media (max-width:333px) {
	.topo .logo {
		font-size: 1rem;
		padding: 8px 7px;
	}

	.base-botoes .btn {
		width: 100%;
		margin: .4rem 0;
		font-size: 1.1rem
	}
}

/*320*/
@media (max-width:320px) {
	.topo .logo {
		font-size: 1rem;
		padding: 12px 5px;
	}
}

/*Apara os ajustes da Funcionalidades do sistema - Tela de login*/
.scrollable-list {
	max-height: 450px;
	/* Ajuste a altura conforme necessário */
	overflow-y: auto;
	/* Adiciona a barra de rolagem vertical */
	list-style-type: none;
	/* Remove os marcadores de lista */
	padding: 0;
	/* Remove o padding padrão */
	margin: 0;
	/* Remove a margem padrão */
}

.scrollable-list li {
	padding: 10px;
	/* Adiciona algum espaçamento interno aos itens da lista */
	border-bottom: 1px solid #ccc;
	/* Adiciona uma borda inferior para separar os itens */
}

.scrollable-list li:last-child {
	border-bottom: none;
	/* Remove a borda inferior do último item */
}